;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;
;;; PROJECT: Carnegie Mellon Planetary Rover Project
;;;          Task Control Architecture 
;;; 
;;; MODULE: tca - lisp
;;;
;;; FILE: load-tests.lisp
;;;
;;; ABSTRACT:
;;; 
;;;  File to load tca and all the lisp test routines.
;;;
;;; $Revision: 1.2 $
;;; $Date: 1995/07/08 18:24:05 $
;;; $Author: rich $
;;;
;;; REVISION HISTORY
;;;
;;;  $Log: load-tests.lisp,v $
;;; Revision 1.2  1995/07/08  18:24:05  rich
;;; Change all /afs/cs to /afs/cs.cmu.edu to get ride of conflict problems.
;;;
;;; Revision 1.1  1993/06/13  23:25:53  rich
;;; Added comments at the front of each file.
;;; Fixed prefix for log entries.
;;; Made changes needed for vx works style global variables.
;;;

(defun load-all ()
  (load "/afs/cs.cmu.edu/project/TCA/release/alpha/lisp/tca.lisp")
  (load "/afs/cs.cmu.edu/project/TCA/release/alpha/lisp/sample.lisp")
  (load "/afs/cs.cmu.edu/project/TCA/release/alpha/lisp/a1.lisp")
  (load "/afs/cs.cmu.edu/project/TCA/release/alpha/lisp/b1.lisp")
  (load "/afs/cs.cmu.edu/project/TCA/release/alpha/lisp/a2.lisp")
  (load "/afs/cs.cmu.edu/project/TCA/release/alpha/lisp/b2.lisp")
  (load "/afs/cs.cmu.edu/project/TCA/release/alpha/lisp/a3.lisp")
  (load "/afs/cs.cmu.edu/project/TCA/release/alpha/lisp/b3.lisp")
  (load "/afs/cs.cmu.edu/project/TCA/release/alpha/lisp/a4.lisp")
  (load "/afs/cs.cmu.edu/project/TCA/release/alpha/lisp/b4.lisp")
)
