/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "inspect_gui.h"

FD_xfMiniConsole *create_form_xfMiniConsole(void)
{
  FL_OBJECT *obj;
  FD_xfMiniConsole *fdui = (FD_xfMiniConsole *) fl_calloc(1, sizeof(*fdui));

  fdui->xfMiniConsole = fl_bgn_form(FL_NO_BOX, 470, 290);
  obj = fl_add_box(FL_UP_BOX,0,0,470,290,"");
    fl_set_object_color(obj,FL_SLATEBLUE,FL_COL1);
  fdui->statusSlider = obj = fl_add_slider(FL_VERT_SLIDER,20,200,20,35,"");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_color(obj,FL_BLACK,FL_TOP_BCOL);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,95,455,145,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  fdui->messageBrowser = obj = fl_add_browser(FL_NORMAL_BROWSER,15,105,445,85,"");
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,245,455,35,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  obj = fl_add_button(FL_NORMAL_BUTTON,395,250,65,25,"Close Console");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_callback(obj,closeConsoleCallback,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,15,250,60,25,"Help");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_callback(obj,helpCallback,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,325,205,60,25,"Filter...");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_callback(obj,filterCallback,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,395,205,60,25,"Clear Buffer");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_callback(obj,messageClearBufferCallback,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,325,250,60,25,"Shutdown");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_callback(obj,shutdownCallback,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,255,250,60,25,"Reload");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_callback(obj,reloadCallback,0);
  obj = fl_add_text(FL_NORMAL_TEXT,25,90,75,15,"Messages");
    fl_set_object_color(obj,FL_SLATEBLUE,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_frame(FL_ENGRAVED_FRAME,10,10,455,40,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  fdui->runMenu = obj = fl_add_menu(FL_PULLDOWN_MENU,15,20,60,25,"Run->");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE);
    fl_set_object_callback(obj,runCallback,0);
  fdui->killButton = obj = fl_add_button(FL_NORMAL_BUTTON,270,20,60,25,"Kill");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_callback(obj,killCallback,0);
  fdui->restartButton = obj = fl_add_button(FL_NORMAL_BUTTON,335,20,60,25,"Restart");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_callback(obj,restartCallback,0);
  fdui->breakButton = obj = fl_add_button(FL_NORMAL_BUTTON,400,20,60,25,"Break");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_callback(obj,breakCallback,0);
  obj = fl_add_text(FL_NORMAL_TEXT,25,5,70,15,"Processes");
    fl_set_object_color(obj,FL_SLATEBLUE,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->scriptMenu = obj = fl_add_menu(FL_PULLDOWN_MENU,145,20,60,25,"Script->");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE);
    fl_set_object_callback(obj,scriptCallback,0);
  fdui->statusLabel = obj = fl_add_text(FL_NORMAL_TEXT,40,200,280,35,"");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_color(obj,FL_SLATEBLUE,FL_MCOL);
    fl_set_object_lsize(obj,FL_LARGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->chooseMenu = obj = fl_add_menu(FL_PULLDOWN_MENU,80,20,60,25,"Select->");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_lsize(obj,FL_TINY_SIZE);
    fl_set_object_lstyle(obj,FL_NORMAL_STYLE);
    fl_set_object_callback(obj,chooseCallback,0);
  fdui->processFrame = obj = fl_add_frame(FL_ENGRAVED_FRAME,10,55,455,35,"");
    fl_set_object_color(obj,FL_COL1,FL_COL1);
  fdui->statusLogo = obj = fl_add_text(FL_NORMAL_TEXT,45,190,50,20,"Status");
    fl_set_object_color(obj,FL_SLATEBLUE,FL_MCOL);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_end_form();

  fdui->xfMiniConsole->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

