#ifndef FD_xfMiniConsole_h_
#define FD_xfMiniConsole_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void closeConsoleCallback(FL_OBJECT *, long);
extern void helpCallback(FL_OBJECT *, long);
extern void filterCallback(FL_OBJECT *, long);
extern void messageClearBufferCallback(FL_OBJECT *, long);
extern void shutdownCallback(FL_OBJECT *, long);
extern void reloadCallback(FL_OBJECT *, long);
extern void runCallback(FL_OBJECT *, long);
extern void killCallback(FL_OBJECT *, long);
extern void restartCallback(FL_OBJECT *, long);
extern void breakCallback(FL_OBJECT *, long);
extern void scriptCallback(FL_OBJECT *, long);
extern void chooseCallback(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *xfMiniConsole;
	void *vdata;
	long ldata;
	FL_OBJECT *statusSlider;
	FL_OBJECT *messageBrowser;
	FL_OBJECT *runMenu;
	FL_OBJECT *killButton;
	FL_OBJECT *restartButton;
	FL_OBJECT *breakButton;
	FL_OBJECT *scriptMenu;
	FL_OBJECT *statusLabel;
	FL_OBJECT *chooseMenu;
	FL_OBJECT *processFrame;
	FL_OBJECT *statusLogo;
} FD_xfMiniConsole;

extern FD_xfMiniConsole * create_form_xfMiniConsole(void);

#endif /* FD_xfMiniConsole_h_ */
