#######################################################################
############################## Help ###################################

# for Support display who to send email to...

proc Support {} {
    global SOURCE_DIRECTORY

    toplevel .support
    wm title .support "TView Support"
    
    frame .support.t
    #.support.t configure -bg #fafafa
    frame .support.t.r -relief raised

    set cmu_logo [image create photo -file $SOURCE_DIRECTORY/cmu.gif -palette 255]
    set logo_col #fafafa

    label .support.t.cmu -image $cmu_logo

    # I tried this font for all the text, but didn't really like it:
    #-font -*-times-medium-r-*-*-14-*-*-*-*-*-*-*

    label .support.t.r.name -text "TView 3.0" -bg $logo_col
    label .support.t.r.auth -text "Greg Whelan / Reid Simmons" \
	    -fg blue -bg $logo_col

    # /dev/null@cs.cmu.edu
    label .support.t.r.emai -text "{whelan,reids}@cs.cmu.edu" \
	    -fg blue -bg $logo_col
    # hey wait, that's me...
    label .support.t.r.phon -text "Greg : 412-268-3837" \
	    -fg blue -bg $logo_col
    button .support.ok -text "Ok" -command { destroy .support }

    .support configure -bg $logo_col
    .support.t configure -bg $logo_col
    .support.t.cmu configure -bg $logo_col

    pack .support.t
    pack .support.t.r
    pack .support.t.r -side right
    pack .support.t.cmu -side left
    pack .support.t.r.name -fill x
    pack .support.t.r.auth -fill x
    pack .support.t.r.emai -fill x
    pack .support.t.r.phon -fill x
    pack .support.ok -side bottom -fill x
}


# Bindings informs the user what the various mouse buttons do when you
# click on tokens on the canvas.

proc Bindings {} {

    toplevel .bindings
    wm title .bindings "Mouse Bindings"

    label .bindings.b1 -text "Button-1  ==>  Select Token, show info"
    label .bindings.b2 -text "Button-2  ==>  Explanation"
    label .bindings.b3 -text "Button-3  ==>  No Action"

    button .bindings.ok -text "Done" -command { destroy .bindings }

    pack .bindings.b1
    pack .bindings.b2
    pack .bindings.b3
    pack .bindings.ok
}

#######################################################################