#ifndef _RECORD_H
#define _RECORD_H


typedef enum {
  UNDO_INSERT, UNDO_DELETE, UNDO_MODIFY
} Undo_Type;

typedef struct _record_type {
  Undo_Type undo_type;
  Task task;
  int undo_from_state;
  int undo_to_state;
  int actions;
  int logline;
} Record_Type;


void Record_Action(Task task, Undo_Type type, taskState from, taskState to);
int Undo_Step(void);
void Redo_Step(void);
void End_Record_Action(int logline);
void Initialize_Recording(void);

#endif /* _RECORD_H */
