#ifndef _UISTUFF_H
#define _UISTUFF_H

#include <tcl.h>
#include <tk.h>
#include "tview.h"

void smaller(void);
void Select_Widget(void *);
void Redraw_Display(void);
void toggle_layout(void);
void toggle_draw_nodes(void);
void toggle_message(int task_type);
void Update_Canvas_Size(Willow_Tree_Type tree, int width, int height);
void Make_Node(char *tcl_command, Willow_Node *new_wnode, 
	       Tview_Node tnode);
void Task_Description(Task task, taskState state, char *text);
void Set_Child_Space(int size);
void Set_Sibling_Space(int size);

void Delete_Node(Task task);
void Insert_Node(Task task);
void Highlight_Log_Line(int line_number);
void Update_Selected_Widget(Tview_Node tnode, taskState state);
void Update_State_Node(Task task, taskState state);

#endif /* _UISTUFF_H */
