/*
 * File: Widgets.h
 * Author: Reid Simmons, CMU
 * Purpose: Widgets builder header file
 *
 * REVISION HISTORY
 *
 * $Log:	Widgets.h,v $
 * Revision 1.1  97/05/29  21:30:15  reids
 * Archive the old (native X) version of tview, in case someone does
 *   not have access to Tcl/Tk.
 * 
 * Revision 1.2  1995/04/07  05:07:47  rich
 * Fixed GNUmakefiles to find the release directory.
 * Fixed problems found by sgi cc compiler.  It would not compile.
 *
 * Revision 1.1  1995/04/05  18:32:30  rich
 * Moved tview files to a subdirectory.
 *
 */

#ifndef _WIDGETS_H
#define _WIDGETS_H

#include <X11/Intrinsic.h>
#include "MList.h"
#include "MDialog.h"

extern MList global_list;
extern Widget global_porthole, _msg_label;
extern Widget _layout, _refresh, _center, _erase_queries, _display_informs;
extern MDialog file_dialog, center_dialog, pause_when_dialog;

void BuildWidgets(Widget parent);

#endif /* _WIDGETS_H */
